Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.collection
Class AbstractCollectionInterceptor

    java.lang.Object
      org.jboss.cache.aop.collection.AbstractCollectionInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor, BaseInterceptor

Direct Known Subclasses:
  CachedListInterceptor, CachedMapInterceptor, CachedSetInterceptor

    public abstract class AbstractCollectionInterceptor

extends java.lang.Object
implements BaseInterceptor

Abstract base class for collection interceptor.

Version:
  $Id: AbstractCollectionInterceptor.java,v 1.9 2006/05/04 16:28:12 bwang Exp $
Author:
  Ben Wang

Field Summary
`protected AOPInstance` | `aopInstance_`
`protected boolean` | `attached_`
`protected Fqn` | `fqn_`

Constructor Summary
`AbstractCollectionInterceptor()`

Method Summary
`void` | `attach(Fqn fqn, boolean copyToCache)`
`void` | `detach(boolean removeFromCache)`
`AOPInstance` | `getAopInstance()`
`Fqn` | `getFqn()` Get the original fqn that is associated with this interceptor (or advisor).
`boolean` | `isAttached()`
`void` | `setAopInstance(AOPInstance aopInstance)`
`void` | `setFqn(Fqn fqn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.advice.Interceptor
`getName, invoke`

Field Detail

### fqn_

    protected Fqn fqn_

### attached_

    protected boolean attached_

### aopInstance_

    protected AOPInstance aopInstance_

Constructor Detail

### AbstractCollectionInterceptor

    public AbstractCollectionInterceptor()

Method Detail

### getFqn

    public Fqn getFqn()

  Description copied from interface: `BaseInterceptor`
  Get the original fqn that is associated with this interceptor (or advisor).

  Specified by:
    `getFqn` in interface `BaseInterceptor`

### setFqn

    public void setFqn(Fqn fqn)

  Specified by:
    `setFqn` in interface `BaseInterceptor`

### getAopInstance

    public AOPInstance getAopInstance()

  Specified by:
    `getAopInstance` in interface `BaseInterceptor`

### setAopInstance

    public void setAopInstance(AOPInstance aopInstance)

  Specified by:
    `setAopInstance` in interface `BaseInterceptor`

### attach

    public void attach(Fqn fqn,
                       boolean copyToCache)

### detach

    public void detach(boolean removeFromCache)

### isAttached

    public boolean isAttached()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.